Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.wrapper
Class Install

    java.lang.Object
      org.gradle.wrapper.Install

    class Install
    extends java.lang.Object

author:
  Hans Dockter

Field Summary
`static java.lang.String` | `WRAPPER_DIR`
`static java.lang.String` | `WRAPPER_JAR`
`static java.lang.String` | `WRAPPER_PROPERTIES`

Constructor Summary
`Install(boolean alwaysDownload, boolean alwaysUnpack, IDownload download, PathAssembler pathAssembler)`

Method Summary
`void` | `copyInputStream(java.io.InputStream in, java.io.OutputStream out)`
`java.lang.String` | `createDist(java.lang.String urlRoot, java.lang.String distBase, java.lang.String distPath, java.lang.String distName, java.lang.String distVersion, java.lang.String distClassifier, java.lang.String zipBase, java.lang.String zipPath)`
`IDownload` | `getDownload()`
`PathAssembler` | `getPathAssembler()`
`void` | `unzip(java.io.File zip, java.io.File dest)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Field Detail

### WRAPPER_DIR

    static final java.lang.String WRAPPER_DIR

### WRAPPER_JAR

    static final java.lang.String WRAPPER_JAR

### WRAPPER_PROPERTIES

    static final java.lang.String WRAPPER_PROPERTIES

Constructor Detail

### Install

    public Install(boolean alwaysDownload, boolean alwaysUnpack, IDownload download, PathAssembler pathAssembler)

Method Detail

### copyInputStream

    public void copyInputStream(java.io.InputStream in, java.io.OutputStream out)

### createDist

    public java.lang.String createDist(java.lang.String urlRoot, java.lang.String distBase, java.lang.String distPath, java.lang.String distName, java.lang.String distVersion, java.lang.String distClassifier, java.lang.String zipBase, java.lang.String zipPath)

### getDownload

    public IDownload getDownload()

### getPathAssembler

    public PathAssembler getPathAssembler()

### unzip

    public void unzip(java.io.File zip, java.io.File dest)

Groovy Documentation